stream.h File Reference
`#include <streambuf>`
`#include <string>`
Include dependency graph for stream.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | wibble::log::Sender
| Handle sending a log message. More...
class | wibble::log::Streambuf
| Streambuf class for logging. More...

## Namespaces

| wibble
| wibble::log

## Enumerations

enum | wibble::log::Level { wibble::log::DEBUG, wibble::log::INFO, wibble::log::UNUSUAL, wibble::log::WARN, wibble::log::ERR, wibble::log::CRIT }
| Urgency of a log message. More...

## Functions

std::ostream & | wibble::log::operator<< (std::ostream &s, Level lev)